# This is a light version of NackClass intended
# for minor usecases. See mega/nack for a complete version.

unless defined?(nack)

  class NackClass < Exception; end

  module Kernel
    def nack; NackClass.new ; end
  end

end
